| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# csgeom/polymesh.h File Reference

Implementation of iPolygonMesh. More...

`#include "csextern.h"`
`#include "csgeom/box.h"`
`#include "csgeom/tri.h"`
`#include "csgeom/vector3.h"`
`#include "csutil/flags.h"`
`#include "csutil/scf_implementation.h"`
`#include "igeom/polymesh.h"`

Go to the source code of this file.

## Classes
class | csPolygonMesh
| A convenience polygon mesh implementation that you can feed with vertices and polygons from another source. More...
class | csPolygonMeshBox
| A convenience polygon mesh implementation that represents a cube. More...

## Detailed Description

Implementation of iPolygonMesh.

Definition in file polymesh.h.